@echo off
set FILENAME=""
for %%a in (video_in/*.*) do set FILENAME="%%a"
for %%b in (%FILENAME%) do set FILETYPE=%%~xb

IF %FILENAME%=="" (
@echo Видео для обработки поместите в папку video_in
echo.
@pause
exit
)

@set dir=video_out
@If Exist "%dir%" (
   goto end
) Else (
   md %dir%
    goto end
)
:end
echo Перекодировать видеодорожку?
set /p vcodec="(1 - да, 0 - нет, ? - отобразить информацию, / - вырезать фрагмент): "
echo.
IF %vcodec%==/ (
for %%c in (video_in/*%FILETYPE%) do ffmpeg -ss 00:00:00 -t 00:00:10 -i "video_in/%%c" -vcodec copy -acodec copy %dir%/"%%~nc".mp4 -hide_banner
echo.
goto end
)
IF %vcodec%==? (
for %%c in (video_in/*%FILETYPE%) do ffmpeg -i "video_in/%%c" -hide_banner
echo.
goto end
)
echo Перекодировать аудиодорожку?
set /p acodec="(1 - да, 0 - нет): "
echo.

IF %vcodec%==1 (
set vcodec=libx264
) ELSE (
set vcodec=copy
)

IF %acodec%==1 (
set acodec=aac
) ELSE (
set acodec=copy
)


for %%c in (video_in/*%FILETYPE%) do ffmpeg -i "video_in/%%c" -vcodec %vcodec% -crf 21 -pix_fmt yuv420p -acodec %acodec% %dir%/"%%~nc".mp4 -hide_banner
echo.
@pause